# The mkbootimg production process.
require mdm-bootimg.inc

# The OE-Core minimal boot image files.
IMAGE_INSTALL += "task-core-boot"
IMAGE_INSTALL += "${ROOTFS_PKGMANAGE_BOOTSTRAP}"
IMAGE_INSTALL += "${POKY_EXTRA_INSTALL}"

# The MSM Linux minimal boot image files.
IMAGE_INSTALL += "alsa-intf"
IMAGE_INSTALL += "avahi-systemd"
IMAGE_INSTALL += "avahi-daemon"
IMAGE_INSTALL += "avahi-dnsconfd"
IMAGE_INSTALL += "avahi-autoipd"
IMAGE_INSTALL += "avahi-utils"
IMAGE_INSTALL += "pimd"
IMAGE_INSTALL += "base-files"
IMAGE_INSTALL += "base-passwd"
#IMAGE_INSTALL += "bridge-utils"
IMAGE_INSTALL += "compat-wireless-ath6kl"
IMAGE_INSTALL += "conntrack-tools"
IMAGE_INSTALL += "data-ipa-cfg-mgr"
IMAGE_INSTALL += "dhcpcd"
IMAGE_INSTALL += "dnsmasq"
IMAGE_INSTALL += "dropbear"
IMAGE_INSTALL += "ebtables"
DEPENDS += "gdb-cross"
IMAGE_INSTALL += "gdbserver"
IMAGE_INSTALL += "glib-2.0"
IMAGE_INSTALL += "hostap-daemon-ath6kl"
# FIXME - This has a conflict with the task-core-boot.  You'll probably want to specify
# bbappend-s to things there or come up with a new task set that involves this recipe's
# work.
#IMAGE_INSTALL += "initscripts-msm"
IMAGE_INSTALL += "init-audio"
IMAGE_INSTALL += "iproute2"
IMAGE_INSTALL += "iptables"
IMAGE_INSTALL += "iw"
IMAGE_INSTALL += "jquery"
IMAGE_INSTALL += "jquery-ui"
IMAGE_INSTALL += "kernel-modules"
IMAGE_INSTALL += "libnl"
IMAGE_INSTALL += "libavahi-common"
IMAGE_INSTALL += "libavahi-core"
IMAGE_INSTALL += "libavahi-client"
IMAGE_INSTALL += "libavahi-glib"
IMAGE_INSTALL += "libstdc++"
IMAGE_INSTALL += "libxml2"
IMAGE_INSTALL += "lighttpd"
IMAGE_INSTALL += "loc-api"
IMAGE_INSTALL += "minidlna"
IMAGE_INSTALL += "miniupnpd"
IMAGE_INSTALL += "openssl"
IMAGE_INSTALL += "open-source-kernel-tests"
IMAGE_INSTALL += "powerapp"
IMAGE_INSTALL += "powerapp-powerconfig"
IMAGE_INSTALL += "powerapp-reboot"
IMAGE_INSTALL += "powerapp-shutdown"
IMAGE_INSTALL += "qrngd"
IMAGE_INSTALL += "reboot-daemon"
IMAGE_INSTALL += "rtsp-alg"
IMAGE_INSTALL += "system-core-adbd"
IMAGE_INSTALL += "system-core-usb"
IMAGE_INSTALL += "system-core-liblog"
IMAGE_INSTALL += "system-core-libcutils"
IMAGE_INSTALL += "tcpdump"
IMAGE_INSTALL += "wireless-tools"
IMAGE_INSTALL += "wlan"
IMAGE_INSTALL += "wpa-supplicant-ath6kl"
IMAGE_PREPROCESS_COMMAND += "mkdir -p ${IMAGE_ROOTFS}/cache;"
IMAGE_PREPROCESS_COMMAND += "echo ro.build.version.release=`cat ${IMAGE_ROOTFS}/etc/version ` >> ${IMAGE_ROOTFS}/build.prop;"

